# std::_List_node< _Tp > Struct Template Reference

An actual node in the list. More...

Inheritance diagram for std::_List_node< _Tp >:
[legend]

List of all members.

## Public Member Functions

- template<typename... _Args> _List_node (_Args &&...__args)
- void _M_hook (_List_node_base *const __position) throw ()
- void _M_reverse () throw ()
- void _M_transfer (_List_node_base *const __first, _List_node_base *const __last) throw ()
- void _M_unhook () throw ()

## Static Public Member Functions

- static void swap (_List_node_base &__x, _List_node_base &__y) throw ()

## Public Attributes

- _Tp _M_data
- _List_node_base * _M_next
- _List_node_base * _M_prev

## Detailed Description

### template<typename _Tp>
struct std::_List_node< _Tp >

An actual node in the list.

Definition at line 95 of file stl_list.h.

## Member Data Documentation

template<typename _Tp>

_Tp std::_List_node< _Tp >::_M_data

< User's data.

Definition at line 98 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h